﻿body {
    overflow-y: scroll; /* Keeps scrolling enabled */
}

::-webkit-scrollbar {
    display: none; /* Hides scrollbar */
}
.navbar-logo {
    display: flex;
    justify-content: left; /* Center horizontally */
    align-items: center; /* Center vertically */
    height: 100px; /* Adjust as needed */
    width: 100px;
    padding: 10px;
}

    .navbar-logo img {
        max-width: 100%; /* Ensures it scales within its container */
        max-height: 100%; /* Ensures it doesn't overflow */
        height: auto; /* Maintain aspect ratio */
        width: auto; /* Maintain aspect ratio */
        object-fit: contain; /* Prevent distortion */
    }

.navbar-button-blue {
    margin: 2px;
    background: #071732;
    color: white;
    border-color: #071732;
    /*width: 100px;
    height: 50px;*/
}

    .navbar-button-blue:hover {
        background-color: white;
        border-color: #071732;
        color: #071732;
        border-width: 2px;
    }

.navbar-button-red {
    margin: 2px;
    background: #e32030;
    color: white;
    border-color: #e32030;
    /*width: 100px;
    height: 50px;*/
}

    .navbar-button-red:hover {
        background-color: white;
        border-color: #e32030;
        color: #e32030;
        border-width: 2px;
    }

.filter-section {
    
    /*height: 100px;*/
}

.bg-gradient-blue {
    background: linear-gradient(to right, white, #323590);
}

.feed-image {
    height: 100px;
    width: 100%;
}

.textarea-100 {
    width: 100%;
}

.logo-container {
    display: flex;
    justify-content: center; /* Center horizontally */
    align-items: center; /* Center vertically */
    height: 200px; /* Adjust as needed */
    padding: 10px;
}

    .logo-container img {
        max-width: 100%; /* Ensures it scales within its container */
        max-height: 100%; /* Ensures it doesn't overflow */
        height: auto; /* Maintain aspect ratio */
        width: auto; /* Maintain aspect ratio */
        object-fit: contain; /* Prevent distortion */
    }

.feed-business-logo-container {
    display: flex;
    justify-content: center; /* Center horizontally */
    align-items: center; /* Center vertically */
    height: 100px; /* Adjust as needed */
    padding: 10px;
    background-color: white; /* Light background (optional) */
}

    .feed-business-logo-container img {
        max-width: 100%; /* Ensures it scales within its container */
        max-height: 100%; /* Ensures it doesn't overflow */
        height: auto; /* Maintain aspect ratio */
        width: auto; /* Maintain aspect ratio */
        object-fit: contain; /* Prevent distortion */
    }

.bg-mandir-blue {
    background: #323590;
}

.mandir-logo-text-blue {
    font-size: 48px;
    color: #323590;
}

.business-social-btn {
    width: 200px;
}

.btn-200px {
    width: 200px;
}

.filter-card {
    border-color: #071732;
    border-radius: 0px;
}

.filter-card-header {
    background-color: #071732;
    color: white;
    border-color: #071732;
    border-radius: 0px !important;
}

.table-container {
    width: 100%;
    overflow-x: auto; /* Enables horizontal scrolling on small screens */
}

table {
    width: 100%;
    border-collapse: collapse;
}

th, td {
    padding: 8px;
    border: 1px solid #ddd;
    text-align: left;
}

#businessTable thead {
    background-color: #071732; /* Dark Blue */
    color: white; /* Make text readable */
}

.summernote-content img {
    max-width: 100% !important;
    height: auto;
    display: block;
}

.cursor-pointer {
    cursor: pointer;
}

.btn-outline-purple {
    --bs-btn-color: #323590;
    --bs-btn-border-color: #323590;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #323590;
    --bs-btn-hover-border-color: #323590;
    --bs-btn-focus-shadow-rgb: 13, 110, 253;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #323590;
    --bs-btn-active-border-color: #323590;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #323590;
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: #323590;
    --bs-gradient: none;
}

.btn-purple {
    background-color: #323590;
    --bs-btn-color: #fff;
    --bs-btn-border-color: #323590;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #1D2661;
    --bs-btn-hover-border-color: #1D2661;
    --bs-btn-focus-shadow-rgb: 13, 110, 253;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #071732;
    --bs-btn-active-border-color: #071732;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #323590;
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: #323590;
    --bs-gradient: none;
}

.accordion-no-active-bg {
    --bs-accordion-active-color: white;
    --bs-accordion-active-bg: #071732;
    --bs-accordion-btn-icon: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='none' stroke='%23ffffff' stroke-linecap='round' stroke-linejoin='round'%3e%3cpath d='m2 5 6 6 6-6'/%3e%3c/svg%3e");
    --bs-accordion-btn-active-icon: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='none' stroke='%23ffffff' stroke-linecap='round' stroke-linejoin='round'%3e%3cpath d='m2 5 6 6 6-6'/%3e%3c/svg%3e");
}

.btn-category {
    width: 140px;
    height: 140px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 0.5rem;
}
